## golang-github-francoispqt-gojay 1.2.13

=== benchmarks/decoder/Makefile ===
.PHONY: test
test:
	go test -run=^Test -v

.PHONY: bench
bench: 
	go test -benchmem -run=^$ github.com/francoispqt/gojay/benchmarks/decoder -bench ^Benchmark

.PHONY: benchtrace
benchtrace:
	go test -c & GODEBUG=allocfreetrace=1 ./decoder.test -test.run=none -test.bench=^Benchmark -test.benchtime=10ms 2>trace.log

.PHONY: benchcpu
benchcpu: 
	go test -benchmem -run=^$ github.com/francoispqt/gojay/benchmarks/decoder -bench ^Benchmark -cpuprofile cpu.out

.PHONY: testtrace
testtrace: 
	go test -benchmem -run=^$ github.com/francoispqt/gojay/benchmarks/decoder -bench ^Benchmark -trace trace.out

.PHONY: benchgojay
benchgojay:
	go test -benchmem -run=^BenchmarkGoJay -bench=^BenchmarkGoJay -benchtime=30ms

.PHONY: benchgojaycpu
benchgojaycpu: 
	go test -benchmem -run=^BenchmarkGoJay -bench=^BenchmarkGoJay -benchtime=30ms -cpuprofile cpu.out

.PHONY: benchjsoniter
benchjsoniter:
	go test -benchmem -run=^BenchmarkJsonIter -bench=^BenchmarkJsonIter -benchtime=30ms

.PHONY: benchjsonparser
benchjsonparser:
	go test -benchmem -run=^BenchmarkJsonParser -bench=^BenchmarkJsonParser -benchtime=30ms

=== benchmarks/encoder/Makefile ===
.PHONY: bench
bench: 
	go test -benchmem -run=^$ github.com/francoispqt/gojay/benchmarks/encoder -bench ^Benchmark

.PHONY: benchtrace
benchtrace:
	go test -c & GODEBUG=allocfreetrace=1 ./encoder.test -test.run=none -test.bench=^Benchmark -test.benchtime=10ms 2>trace.log

.PHONY: benchcpu
benchcpu: 
	go test -benchmem -run=^$ github.com/francoispqt/gojay/benchmarks/encoder -bench ^Benchmark -cpuprofile cpu.out

.PHONY: testtrace
testtrace: 
	go test -benchmem -run=^$ github.com/francoispqt/gojay/benchmarks/encoder -bench ^Benchmark -trace trace.out

.PHONY: benchgojay
benchgojay:
	go test -benchmem -run=^BenchmarkGoJay -bench=^BenchmarkGoJay -benchtime=30ms

.PHONY: benchgojaycpu
benchgojaycpu: 
	go test -benchmem -run=^BenchmarkGoJay -bench=^BenchmarkGoJay -benchtime=30ms -cpuprofile cpu.out

.PHONY: benchjsoniter
benchjsoniter:
	go test -benchmem -run=^BenchmarkJsonIter -bench=^BenchmarkJsonIter -benchtime=30ms

.PHONY: benchjsonparser
benchjsonparser:
	go test -benchmem -run=^BenchmarkJsonParser -bench=^BenchmarkJsonParser -benchtime=30ms

=== examples/fuzz/Makefile ===
.PHONY: gofuzzbuild
gofuzzbuild: 
	go-fuzz-build github.com/francoispqt/gojay/examples/fuzz

.PHONY: gofuzz
gofuzz: 
	go-fuzz -bin=fuzz-fuzz.zip -workdir=.

.PHONY: gofuzzclean
gofuzzclean: 
	rm -rf corpus crashers suppressions fuzz-fuzz.zip

=== examples/http-benchmarks/Makefile ===

.PHONY: bench 
bench: 
	wrk -d 20s -s post.lua http://localhost:3000

=== debian/changelog ===
golang-github-francoispqt-gojay (1.2.13-5) unstable; urgency=medium

  * debian/control: Update my uploader name.
  * debian/rules: Do not build examples.

 -- Aloïs Micard <alois@micard.lu>  Thu, 08 Oct 2020 19:48:11 +0200

golang-github-francoispqt-gojay (1.2.13-4) unstable; urgency=medium

  [ Alois Micard ]
  * debian/control:
    - Bump debhelper-compat to 13.

  [ Roger Shimizu ]
  * debian/control:
    - Add B-D: golang-github-viant-assertly-dev

 -- Roger Shimizu <rosh@debian.org>  Mon, 27 Jul 2020 00:44:45 +0900

golang-github-francoispqt-gojay (1.2.13-3) unstable; urgency=medium

  * debian/rules:
    - Skip dh_auto_test for 32-bit systems (Closes: #963609).

 -- Roger Shimizu <rosh@debian.org>  Thu, 25 Jun 2020 01:31:39 +0900

golang-github-francoispqt-gojay (1.2.13-2) unstable; urgency=medium

  * debian/patches:
    - Add patch 0001 to skip some tests fail at git-pbuilder
      environment.

 -- Roger Shimizu <rosh@debian.org>  Sat, 20 Jun 2020 01:23:42 +0900

golang-github-francoispqt-gojay (1.2.13-1) unstable; urgency=medium

  * Initial release (Closes: #956074)

 -- Roger Shimizu <rosh@debian.org>  Sun, 03 May 2020 15:40:58 +0900

=== debian/control ===
Source: golang-github-francoispqt-gojay
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Aloïs Micard <alois@micard.lu>,
 Roger Shimizu <rosh@debian.org>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-buger-jsonparser-dev,
 golang-github-go-errors-errors-dev,
 golang-github-json-iterator-go-dev,
 golang-github-mailru-easyjson-dev,
 golang-github-stretchr-testify-dev,
 golang-github-viant-assertly-dev,
 golang-github-viant-toolbox-dev,
 golang-golang-x-net-dev,
 help2man
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-francoispqt-gojay
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-francoispqt-gojay.git
Homepage: https://github.com/francoispqt/gojay
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/francoispqt/gojay

Package: golang-github-francoispqt-gojay-dev
Architecture: all
Depends:
 golang-github-buger-jsonparser-dev,
 golang-github-go-errors-errors-dev,
 golang-github-json-iterator-go-dev,
 golang-github-mailru-easyjson-dev,
 golang-github-stretchr-testify-dev,
 golang-github-viant-assertly-dev,
 golang-github-viant-toolbox-dev,
 golang-golang-x-net-dev,
 ${misc:Depends}
Description: JSON encoder/decoder golang library with powerful stream API
 GoJay is a performant JSON encoder/decoder for Golang.
 It has a simple API and doesn't use reflection. It relies on small
 interfaces to decode/encode structures and slices.
 .
 Why another JSON parser?
 Other fast decoder/encoder were mostly hardly readable static code
 generation or a lot of reflection, poor streaming features, and not so
 fast in the end. Also, it has a decoder that could consume
 an io.Reader of line or comma delimited JSON, in a JIT way.
 To consume a flow of JSON objects from a TCP connection for example or
 from a standard output. Same way to build an encoder that could encode
 a flow of data to a io.Writer.

Package: gojay
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Fast JSON code generator in golang
 This package provides a command line tool to generate gojay's
 marshaling and unmarshaling interface implementation for custom
 struct type(s).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Exclude examples/ folder since the example build binary
export DH_GOLANG_EXCLUDES := examples

override_dh_auto_install:
	cd obj-$(DEB_TARGET_GNU_TYPE); \
	help2man -N -n "Fast JSON code generator in golang" \
		--version-string="$(DEB_VERSION)" --no-discard-stderr \
		-o gojay.1 bin/gojay
	dh_auto_install

%:
	dh $@ --buildsystem=golang --with=golang

# Skip dh_auto_test for 32-bit systems
#  - https://github.com/francoispqt/gojay/issues/146
override_dh_auto_test:
ifeq (,$(filter armel armhf i386 mipsel hurd-i386 kfreebsd-i386,$(DEB_HOST_ARCH)))
	dh_auto_test
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-francoispqt-gojay-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/francoispqt/gojay/tags .*/v?(\d\S*)\.tar\.gz debian
